#!/usr/bin/env python3
"""Temauppgift (Tema 5) -- 729G46.

Exempel på slumpmässig layout-funktion. Layout-funktionen skickas som
argument när en instans av tema5.LayoutTester skapas.
"""

# Läs denna fil för att se hur gränssnittet skapats.
import tema5
import random


def random_layout(squares, frame_height, frame_width, start_left, start_top):
    """Placera ut kvadraterna i listan squares slumpmässigt.

    Argument:
    squares      -- Lista som innehåller tkinter.Label-objekt
    frame_height -- Höjden (int) på den Frame som kvadraterna ligger i
    frame_width  -- Bredden (int) på den Frame som kvadraterna ligger i
    start_left   -- Värdet True betyder att kvadraterna ska placeras ut
                    från vänster sida. Värdet False betyder att
                    kvadraterna ska placeras ut från höger.
    start_top    -- Värdet True betyder att kvadraterna ska börja placeras ut
                    uppifrån. Värdet False anger att kvadraterna ska börja
                    placeras ut från botten.
    """
    # Slumpa ut positioner för alla kvadrater utan att de hamnar utanför framen
    for square in squares:
        square_size = square.winfo_width()
        xpos = random.randint(0, frame_width - square_size)
        ypos = random.randint(0, frame_height - square_size)
        square.place(x=xpos, y=ypos)


if __name__ == "__main__":
    # layoutfunktionen som anropas av knappen "Kör layoutfunktion" skickas med
    # som ett funktionsobjekt när vi skapar en instans av LayoutTester (GUI:t)
    layout_tester = tema5.LayoutTester(random_layout)
